Bug 839612 - perl-Unix-Statgrab-0.04 segfaults with perl 5.16.0
Summary: perl-Unix-Statgrab-0.04 segfaults with perl 5.16.0
Status: CLOSED DUPLICATE of bug 1163320
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Unix-Statgrab
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL: https://koji.fedoraproject.org/koji/t...
Whiteboard:
Keywords:
Depends On: 1119266 1161126
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-12 12:44 UTC by Petr Pisar
Modified: 2014-11-13 10:50 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-11-13 10:50:39 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 78849 None None None 2012-08-08 13:38:04 UTC

Description Petr Pisar 2012-07-12 12:44:14 UTC
perl-Unix-Statgrab-0.04-14.fc18 does not build in F18:

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.FI62R4
+ umask 022
+ cd /builddir/build/BUILD
+ cd Unix-Statgrab-0.04
+ unset DISPLAY
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/0_pod.t ........... ok
t/0_pod_coverage.t .. ok
t/Unix-Statgrab.t ... 
Failed 1/22 subtests 
Test Summary Report
-------------------
t/Unix-Statgrab.t (Wstat: 11 Tests: 21 Failed: 0)
  Non-zero wait status: 11
  Parse errors: Bad plan.  You planned 22 tests but ran 21.
Files=3, Tests=23,  0 wallclock secs ( 0.04 usr  0.00 sys +  0.15 cusr  0.03 csys =  0.22 CPU)
Result: FAIL
Failed 1/3 test programs. 0/23 subtests failed.
make: *** [test_dynamic] Error 255


This happens with perl 5.16.0. I guess the test plan is wrong or the perl segfaults.

Comment 1 Petr Pisar 2012-08-08 13:34:09 UTC
This issue has been `fixed' by removing the tests:

commit 15d0455635bdb46f3739941a75cd960951680bfc
Author: Oliver Falk <oliver@linux-kernel.at>
Date:   Mon Aug 6 14:48:02 2012 +0200

    * Mon Aug 06 2012 Oliver Falk <oliver@linux-kernel.at> - 0.04-17
    - Remove segfaulting tests


This could be bug in perl-5.16.

Minimal test case:

#!/usr/bin/perl
use strict;
use warnings;
use Unix::Statgrab;

my $p = get_process_stats;
if ($p) {
    my @a = sort sort_procs_by_name $p->all_procs;
    my @b = sort sort_procs_by_pid  $p->all_procs;
    my @c = sort sort_procs_by_uid  $p->all_procs;
}


Returns perl error:

Attempt to free unreferenced scalar: SV 0x259c538, Perl interpreter: 0x257c010 at test line 7.

Changing the assignments to the same array causes segfault.

Comment 2 Fedora End Of Life 2013-04-03 17:42:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Petr Pisar 2013-08-26 11:10:42 UTC
Upstream claims this issue has been fixed in Unix-Statgrab-0.099_001 and libstatgrab-0.90.

Comment 4 Petr Šabata 2014-11-06 12:09:00 UTC
I'll bump this 0.104.

This will require Config::AutoConf.

Comment 5 Petr Šabata 2014-11-06 17:10:34 UTC
This also requires libstatgrab >= 0.90.

Comment 6 Petr Šabata 2014-11-13 10:50:39 UTC

*** This bug has been marked as a duplicate of bug 1163320 ***


Note You need to log in before you can comment on or make changes to this bug.